Installing GNURadio 3.3.0 in Ubuntu 14.04

Hello,

In appendix follow the log of ./configure and make.
I’m having problem with libboost in the lines of command make:


/bin/bash …/…/…/libtool --tag=CXX --mode=link g++ -g -O2 -Wall
-Woverloaded-virtual -pthread -o test_gruel test_gruel.o
pmt/libpmt-qa.la
libgruel.la
libtool: link: g++ -g -O2 -Wall -Woverloaded-virtual -pthread -o
.libs/test_gruel test_gruel.o pmt/.libs/libpmt-qa.a -lboost_thread
-lcppunit -ldl ./.libs/libgruel.so -pthread -Wl,-rpath
-Wl,/usr/local/lib64
/usr/bin/ld: pmt/.libs/libpmt-qa.a(pmt.o): undefined reference to symbol
‘_ZN5boost6system15system_categoryEv’
//usr/lib/x86_64-linux-gnu/libboost_system.so.1.55.0: error adding
symbols:
DSO missing from command line
collect2: error: ld returned 1 exit status
make[5]: ** [test_gruel] Erro 1

I has libboost 1.54 with same problem. This is a version problem or it
is
another thing?

I need this version becouse i wanna test a module I need this version
because i wanna test a old module from other project. I already try in
current version without success.

Any help is welcome!

Att,
Rodrigo F.

Hello Rodrigo,

this looks like a linker error.
Make sure you have only only have one boost version installed.

By the way: good luck building 3.3.0 on a modern system; it would be no
surprise if the build process has problems because of the tools involved
making a lot of progress over the last few years.
If you want a GNU Radio version that is recent but has an API that is
closer to that of 3.3.0, go for the v3.6.5 tag.

What is the module you’re going to try?

Greetings,
Marcus

The problem of last mail (in install 3.3.0 with Ubuntu 9.10) is resolved
installing libtool.

Now I have a problem with libtool version in make:
“…
libtool: Version mismatch error. This is libtool 2.2.6b, but the
libtool: definition of this LT_INIT comes from 2.2.6.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6b
libtool: and run autoconf again.
…”

The version installed is 2.2.6a. I tryed solutions with autoreconf and
make
maintainer-clean, and memcached without solution.
I will try install libtol from source.

2014-08-23 17:30 GMT-03:00 Rodrigo F. [email protected]:

Hello Marcus,

When I installed the version 1.55 of boost, I removed the 1.54.

I need install the uwicore_MAC module (
http://www.uwicore.umh.es/mhop-software.html) to modify the 802.11
protocol
and test some ideas.

I already tryed install the module in version 3.7.4 without success. I
found help in module grcompat (Emil A. comented in
http://nuand.com/forums/viewtopic.php?t=3137) but not answer all the
incompatibles problems.

Now I tryed in virtual machine with Ubuntu 9.10 (32 bits) but maybe I
will
have problems with the repositories. I only found a repository from
UFRR.

Now I have this problem with make:

usrp2/host/lib/Makefile.am:30: its definition is in aclocal’s search
path.
make: ** [Makefile.in] Erro 1

The log of configure and make follow in annex.
Note the execution of sudo ./configure > logconfigure.txt :
./configure: line 6642: AC_LIBTOOL_WIN32_DLL: command not found
./configure: line 6643: AC_ENABLE_SHARED: command not found
./configure: line 6657: AC_PROG_LIBTOOL: command not found
./configure: line 8606: AC_PROG_LD: command not found
configure: WARNING: If you wanted to set the --build type, don’t use
–host.
If a cross compiler is detected then cross compile mode will be
used.

Do you have some idea how use this old module?

Thanks!

2014-08-22 16:45 GMT-03:00 Marcus Müller [email protected]:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

You need to ./configure once more.
If that doesn’t help, git clean -xdf will clean up your source tree,
and you can start with a “clean” build.

On 25.08.2014 14:57, Rodrigo F. wrote:

The version installed is 2.2.6a. I tryed solutions with autoreconf

maybe I will have problems with the repositories. I only found a
AC_ENABLE_SHARED: command not found ./configure: line 6657:

would be no surprise if the build process has problems because
On 22.08.2014 21:24, Rodrigo F. wrote:
test_gruel.o pmt/.libs/libpmt-qa.a -lboost_thread -lcppunit


Discuss-gnuradio mailing

[email protected]://lists.gnu.org/mailman/listinfo/discuss-gnuradio


https://lists.gnu.org/mailman/listinfo/discuss-gnuradio

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBAgAGBQJT+zSkAAoJEAFxB7BbsDrLU0oIAI+NQX2pxRogPTHuqw9euX4s
ef14trgoR690KuyODPwgTNIKNBvJMs7zWUELLEi1SIg9h8Vc9bGb+7Y+F2oBXRrF
MNf1BOa8xkQvyxsLGdeEopmypZdP+USLvKT5laFtPZNpg4+4sfQfONAbvSvBKAiW
D55H560qX5tfjj+Suu7wo68+bzF3I+M4iOTyxUtEVn60BPS1wHWQaI36onwyS0QU
9niULxTaPwaw2iQnNU+npmt7ejFZBfHDSN/I0ODp7PElxxJin6/DFvHjmuZ2EZ2B
o4hD6M/s6lWcTjtz5CdTl8i8QhXf1k4UgtnQ4LKDD+f9y/G+MqWLV+KTQFBpGdk=
=UEjL
-----END PGP SIGNATURE-----